"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const utils_1 = require("../../../shared/utils");
const session_1 = require("./session");
const vscode_1 = require("vscode");
const globals_1 = require("../../../globals");
const icon = {
    id: index_1.IconId.sessionOpen,
    type: index_1.IconHierarchyType.derived,
    path: utils_1.getIconPathInResources("folder-root-connected-open.svg"),
    check: (node) => {
        const parentCheck = session_1.default.check(node);
        return parentCheck && node.collapsibleState === vscode_1.TreeItemCollapsibleState.Expanded && node.contextValue.includes(globals_1.INACTIVE_CONTEXT);
    }
};
exports.default = icon;

//# sourceMappingURL=sessionOpen.js.map
